## libiterator-perl 0.03+ds1

=== debian/changelog ===
libiterator-perl (0.03+ds1-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on libexception-class-perl.
    + libiterator-perl: Drop versioned constraint on libexception-class-perl in
      Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Jun 2022 14:51:38 +0100

libiterator-perl (0.03+ds1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 01:55:25 +0100

libiterator-perl (0.03+ds1-1) unstable; urgency=low

  * Initial Release. (Closes: #794181)
    + Repack upstream tar ball to remove (likely accidentally) included
      ppm package.

 -- Axel Beckert <abe@debian.org>  Mon, 03 Aug 2015 21:19:59 +0200
