=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d*$// \
https://metacpan.org/release/Iterator   .*/Iterator-v?@ANY_VERSION@@ARCHIVE_EXT@$
